Bug 123733 - wireless card cannot be configured in system-config-network
wireless card cannot be configured in system-config-network
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 08:14 EDT by cam
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 10:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that adds an orinoco_cs entry to module-info (442 bytes, patch)
2004-06-27 03:00 EDT, An-Cheng Huang
no flags Details | Diff
look for '*.ko' in additon to '*.o' (1.88 KB, patch)
2004-06-27 03:07 EDT, An-Cheng Huang
no flags Details | Diff

  None (edit)
Description cam 2004-05-20 08:14:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040319

Description of problem:
Not sure if this is a bug in anaconda or a missing feature in
system-config-network.

After installing FC2 my wireless card was not configured correctly -
it seemed to be recognised as a fixed ethernet card. The orinoco_cs
driver was loaded correctly but the system-config-network GUI did not
allow it to be configured as a wireless card.

The system-config-network GUI did not allow the type to be changed to
wireless.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install FC2 with Belkin model no. F5D6020 802.11b card


Actual Results:  card appears to be recogniesed as an ethernet card
card cannot be configured as a wireless card in the GUI

Expected Results:  card should be recognised as a wireless card
allowing entry of wireless params on the GUI

Additional info:

A workaround was to replace related files from a backup
(sysconfig/network-scripts/ifcfg-eth1 and others)

I can provide more detailed info on request.
Comment 1 Gil 2004-05-24 13:12:32 EDT
I'm also experiencing this problem.  I have a Toshiba Tecra 8200
laptop with built-in WiFi and also a Lucent Gold PCMCIA card.  I
believe 123715 may be a dup.  Both cards show up correctly under the
hardware tab, but under the Type of Ethernet not Wireless so I can not
set the WiFi settings.  This is repeatable every time.

I can provide more detailed info on request.
Comment 3 An-Cheng Huang 2004-06-27 03:00:07 EDT
Created attachment 101449 [details]
patch that adds an orinoco_cs entry to module-info

It seems that this is working now (I'm using the development tree).  My Lucent
silver card is detected by system-config-network and recognized as Wireless
(the card is inserted first, so the orinoco_cs driver is already loaded before
starting system-config-network).

I've also attached a patch that simply adds an orinoco_cs entry to the
module-info file so that the card appears in the adapter list when manually
adding hardware.
Comment 4 An-Cheng Huang 2004-06-27 03:07:42 EDT
Created attachment 101450 [details]
look for '*.ko' in additon to '*.o'

When looking at the code, I noticed that the isdnmodulelist and
wirelessmodulelist are constructed by looking for '*.o' kernel modules.  Since
kernel modules are now '*.ko', the attached patch also adds '*.ko' to the
lists.

Since it seems that wireless interfaces are now detected using iwconfig, this
is may not be relevant anymore...
Comment 5 Matthew Miller 2005-04-26 11:24:08 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.